﻿.modal-box {
    overflow: hidden;
    position: relative;
    width: 1400px;
}

.modal {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
}

/* Modal Box */
.modal-box {
    background: #fff;
    width: 425px;
    padding: 25px;
    border-radius: 12px;
    animation: fadeIn 0.3s ease;
    overflow: hidden;
    position: relative;
    width: 1400px;
}

.close-job-static {
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
    color: #333;
    float: right;
}

.static-job-details {
    margin-top: auto;
    align-self: center;
    background: #1485ba;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 8px;
    cursor: pointer;
    text-decoration: none;
    font-size: 14px;
    transition: background 0.3s;
}

.info-reg {
    position: fixed;
    top: 30px;
    right: 30px;
    width: 360px;
    /* background: rgba(255,255,255,0.15);*/
    background: #0fa3d4;
    backdrop-filter: blur(25px);
    border-radius: 18px;
    padding: 20px 20px 20px 20px;
    display: flex;
    gap: 14px;
    align-items: flex-start;
    box-shadow: 0 20px 40px rgba(0,0,0,0.35);
    transform: translateX(120%);
    transition: 0.5s ease;
    z-index: 2000;
    color: #fff;
}

    .info-reg.show {
        transform: translateX(0);
    }

.info-reg-icon {
    font-size: 22px;
}

.reg-content {
    flex: 1;
}

.info-reg-title {
    font-weight: 600;
    margin-bottom: 5px;
}

.info-reg-message {
    font-size: 14px;
    opacity: 0.9;
}

.info-reg-close {
    cursor: pointer;
    font-size: 18px;
    padding-left: 10px;
    transition: 0.3s;
}

    .info-reg-close:hover {
        transform: scale(1.2);
    }



.job-carousel {
    position: relative;
    overflow: visible;
}

    .job-carousel .swiper-wrapper {
        display: flex;
    }

    .job-carousel .swiper-slide {
        width: 100%;
        flex-shrink: 0;
    }

.job-prev, .job-next {
    /*position: absolute !important;
    top: 50% !important;
    transform: translateY(-50%) !important;
    font-size: 40px !important;
    font-weight: bold !important;
    color: #38bdf8 !important;
    cursor: pointer !important;
    user-select: none !important;
    z-index: 20 !important;
    width: 36px !important;
    height: 36px !important;
    line-height: 36px !important;
    text-align: center !important;
    border-radius: 50% !important;*/
    /*  transition: background-color 0.3s ease, color 0.3s ease; */


    position: absolute;
    top: 45%;
    transform: translateY(-50%);
    width: 46px;
    height: 46px;
    background: #0b1220;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    cursor: pointer;
    z-index: 10;
    transition: .3s;
}

.job-prev {
    left: -40px;
}

.job-next {
    right: -40px;
}

    .job-prev:hover,
    .job-next:hover {
        /* background-color: #38bdf8;
        color: #fff;*/
        border-radius: 50%;
       
    }

.back-card-img {
    width: 200px !important;
    height: 140px !important;
    object-fit: cover !important;
    object-position: top !important;
    border-radius: 8px !important;
}

.job-pagination {
    text-align: center;
    margin-bottom: -35px;
}

    .job-pagination .swiper-pagination-bullet {
        background: #94a3b8;
        opacity: 1;
    }

    .job-pagination .swiper-pagination-bullet-active {
        background: #1485ba;
        width: 22px;
        border-radius: 6px;
    }
.swiper-slide {
    transition: 0.5s ease;
    opacity: .35;
    transform: scale(.7);
    filter: blur(3px);
}

.swiper-slide-active {
    opacity: 1;
    transform: scale(1);
    filter: blur(0);
}
.card-swiper {
    height: 260px;
}
.match-card {
    transition: 0.4s;
}
.modal-overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}
.swiper-slide.clicked-card {
    transform: scale(1.15) !important;
    z-index: 30;
    filter: blur(0) !important;
    opacity: 1 !important;
}



/*.swiper-slide-active:hover {
    transform: scale(1.1);
    z-index: 20;
}*/



.swiper-slide {
    cursor: default;
}

.swiper-slide-active {
    cursor: pointer;
}
